ALTER TABLE `fw_morax`.`eval_shop_pool`
    CHANGE COLUMN `eval_group_stage_id` `eval_group_rank_stage_id` bigint(20) NOT NULL COMMENT '考评排名阶段id' AFTER `eval_group_rank_id`;
ALTER TABLE `fw_morax`.`eval_user_pool`
    CHANGE COLUMN `eval_group_stage_id` `eval_group_rank_stage_id` bigint(20) NOT NULL COMMENT '考评阶段id' AFTER `eval_group_rank_id`;
ALTER TABLE `fw_morax`.`eval_group_user`
    ADD COLUMN `eval_group_rank_stage_id` bigint(20) NOT NULL COMMENT '考评排名组阶段id' AFTER `eval_group_rank_id`;

-- 2023年5月23日
ALTER TABLE `fw_morax`.`eval_group_indicator_target_hit_log`
    ADD COLUMN `extra_reach_value` decimal(18, 4) NULL COMMENT '额外达成目标' AFTER `reach_value`,
ADD COLUMN `use_target` tinyint(4) NULL DEFAULT 1 COMMENT '考评使用目标; 1:无目标 2:第一目标 3:额外目标值' AFTER `extra_reach_value`;


CREATE TABLE `eval_reward_dist` (
`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID',
`user_id` bigint(20) NOT NULL COMMENT '用户id',
`eval_group_rank_id` bigint(20) NOT NULL COMMENT '考评排名组id',
`eval_group_rank_stage_id` bigint(20) NOT NULL COMMENT '考评排名组阶段id',
`eval_group_id` bigint(20) NOT NULL COMMENT '考评组id',
`eval_group_rank_name` varchar(255) DEFAULT NULL COMMENT '考评排名组名称',
`eval_group_rank_stage_name` varchar(255) DEFAULT NULL COMMENT '考评排名组阶段名称',
`begin_time` date DEFAULT NULL COMMENT '阶段开始时间',
`over_time` date DEFAULT NULL COMMENT '阶段结束时间',
`eval_shop_pool_ids` varchar(512) NOT NULL COMMENT '门店考评池id',
`shop_ids` varchar(512) NOT NULL COMMENT '门店id',
`reward` decimal(18,2) NOT NULL COMMENT '考评奖惩',
`status` tinyint(4) DEFAULT NULL COMMENT '状态',
`group_id` bigint(20) NOT NULL COMMENT '集团id',
`yn` tinyint(1) DEFAULT '1' COMMENT '逻辑删除',
`create_time` datetime DEFAULT NULL COMMENT '创建时间',
`update_time` datetime DEFAULT NULL COMMENT '更新时间',
PRIMARY KEY (`id`),
KEY `eval_pool_salary_group_id_index` (`eval_shop_pool_ids`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='考评门店奖惩分配';