package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.morax.domain.enums.EvalShopPoolStatusEnum;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.YearMonth;

/**
 * <p>
 * 考评池
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(autoResultMap = true)
public class EvalShopPool extends BaseAuditableTimeEntity<EvalShopPool, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评组编码
     */
    private String egc;
    /**
     * 考评组id
     */
    private Long evalGroupId;
    /**
     * 考评排名组id
     */
    private Long evalGroupRankId;
    /**
     * 考评排名组阶段id
     */
    private Long evalGroupRankStageId;

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 考评奖惩
     */
    private BigDecimal reward;

    /**
     * 考评得分
     */
    private BigDecimal score;

    /**
     * 考评得分率
     */
    private BigDecimal scoreRatio;

    /**
     * 排名
     */
    private Integer rank;

    /**
     * 月度
     */
    private YearMonth monthly;

    /**
     * 数据日期
     */
    private LocalDate dataDate;

    /**
     * 固定的
     */
    private EvalShopPoolStatusEnum status;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 逻辑删除
     */
    @TableLogic
    private Boolean yn;

}
