package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import cn.fw.common.data.mybatis.handler.StringListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * <p>
 * 报表编码维度数据表（额外数据）
 * </p>
 *
 * @author jiangchao
 * @since 2023-04-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EvalUserExtraReport extends BaseEntity<EvalUserExtraReport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 考评报表id
     */
    private Long evalUserReportId;

    /**
     * 适用门店ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> shopIds;

    /**
     * 人员ids
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> staffIds;

    /**
     * 适用角色编码
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleCodes;
    /**
     * 适用角色名称
     */
    @TableField(typeHandler = StringListTypeHandler.class)
    private List<String> roleNames;

}
