package cn.fw.morax.domain.db.eval;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.common.data.mybatis.handler.LongListTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDate;
import java.time.YearMonth;
import java.util.List;

/**
 * <p>
 * 报表绩效排名组
 * </p>
 *
 * @author jiangchao
 * @since 2023-03-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(autoResultMap = true)
public class EvalUserRankStageReport extends BaseEntity<EvalUserRankStageReport, Long> {

    private static final long serialVersionUID = 1L;

    /**
     * 报表考评排名组id
     */
    private Long evalUserRankReportId;

    /**
     * 考评排名组id
     */
    private Long evalGroupRankId;

    /**
     * 考评排名组阶段id
     */
    private Long evalGroupRankStageId;

    /**
     * 考评排名组阶段名称
     */
    private String stageName;

    /**
     * 考评组id
     */
    @TableField(typeHandler = LongListTypeHandler.class)
    private List<Long> evalGroupIds;

    /**
     * 生效时间
     */
    private LocalDate beginTime;

    /**
     * 结束时间
     */
    private LocalDate overTime;

}
