package cn.fw.morax.service.data.eval.impl;


import cn.fw.morax.dao.eval.EvalGroupRankStageDao;
import cn.fw.morax.domain.db.eval.EvalGroupRankStage;
import cn.fw.morax.service.data.eval.EvalGroupRankStageService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 考评组 服务实现类
 * </p>
 *
 * @author jiangchao
 * @since 2022-12-09
 */
@Service
public class EvalGroupRankStageServiceImpl extends ServiceImpl<EvalGroupRankStageDao, EvalGroupRankStage> implements EvalGroupRankStageService {

    @Override
    public List<EvalGroupRankStage> getRankStartStages(Long rankId, LocalDate date) {
        List<EvalGroupRankStage> stages = this.baseMapper.selectList(Wrappers.<EvalGroupRankStage>lambdaQuery()
                .eq(EvalGroupRankStage::getEvalGroupRankId, rankId)
                .eq(EvalGroupRankStage::getYn, Boolean.TRUE)
                .le(EvalGroupRankStage::getBeginTime, date)
                .orderByAsc(EvalGroupRankStage::getBeginTime)
        );
        return stages;
    }
}
